Get Wikipedia site pageviews
Get a Wikipedia edition's site-wide pageviews or unique-device totals.
Headers
Get your API keyAPI key (`sfk_...`)
Wikimedia edition code, e.g. `en`, `de`, `ja`, `simple` or `zh-min-nan`. Default: `en`.
`views` (default) or `unique_devices`.
one of: views, unique_devices
Start of the window as a real `YYYY-MM-DD` day (read as midnight UTC) or a full ISO 8601 date-time with a zone.
End of the window as a real `YYYY-MM-DD` day (read as midnight UTC) or a full ISO 8601 date-time with a zone.
`daily` (default) or `monthly`.
one of: daily, monthly
Endpoint-specific response payload.
Whether the entity, page or data set exists. A missing entity is `not_found`; an existing entity with no rows is `found` with `empty: true`.
one of: found, not_found
Edition code.
Whether the rows are views or unique devices.
one of: views, unique_devices
Daily or monthly rows.
one of: daily, monthly
First day or month requested.
Last day or month requested.
Site-wide totals in the requested range.
Day or month, ISO 8601.
Project.
Site access class.
Views.
≥ 0
Unique devices.
≥ 0
Devices offset.
≥ 0
Underestimate of unique devices.
≥ 0
Whether the answer is a valid empty result rather than missing.
Metadata describing the request and billing outcome.
Unique request identifier for tracing this API call.
min 1 chars
Credits charged for this request.
≥ 0
Public API version that served the response.
one of: v1
Code example
curl "https://api.socialfetch.dev/v1/wikipedia/pageviews/site?lang=en" \
-H "x-api-key: YOUR_API_KEY"Responses
Get Wikipedia site pageviews